'\" t
.\" Manual page created with latex2man on Mon Sep  7 09:00:11 CEST 2015
.\" NOTE: This file is generated, DO NOT EDIT.
.de Vb
.ft CW
.nf
..
.de Ve
.ft R

.fi
..
.TH "YADIFA" "8" "2015\-09\-07" "YADIFA " "YADIFA "
.SH NAME

.PP
YADIFA
is an utility for controlling YADIFAD 
.PP
.SH SYNOPSIS

.PP
yadifa
[\fB\-s\fP\fI host\fP]
[\fB\-V\fP]
[\fB\-h\fP]
[\fB\-t command\fP]
[\fB\-q zone\fP]
.PP
.SH DESCRIPTION

yadifa
controls the operation of yadifad\&.
.PP
yadifa
communicates with a name server over a TCP connection. The protocol used between client \- server is an extension of the DNS protocol. The authentication is done by a mutual key between client and server. This key has the same format as a TSIG. Authentication is not needed, but provides more secure communication if used. 
.PP
Several algorithms can be used for creating a TSIG: 
.TP
.B *
HMAC\-MD5 
.TP
.B *
HMAC\-SHA1 
.PP
.SH OPTIONS

.TP
[\fB\-\-config|\-c\fP\fI configfile\fP]
 Another config file will be used. 
.TP
[\fB\-\-server|\-s\fP\fI host\fP]
 Host is the remote server to operate. 
If used with a different port: e.g.: \&./yadifa \-\-server "192.0.2.1 port 5353" 
.PP
.TP
[\fB\-V\fP]
 Show version information. 
.TP
[\fB\-\-help|\-h\fP]
 Show a help text 
.PP
.SH COMMANDS

.TP
[\fB\-t freeze \fP[\fI\-q zone\fP]]
 disables updates to a zone. 
.TP
[\fB\-t freezeall\fP]
 disables updates to all zones. 
.TP
[\fB\-t unfreeze \fP[\fI\-q zone\fP]]
 enables updates to a zone. 
.TP
[\fB\-t unfreezeall\fP]
 enables updates to all zones. 
.PP
.TP
[\fB\-t reload \fP[\fI\-q zone\fP]]
 triggers the loading of the zone file(s) if the serial number is incremented. 
If no zone is specified, all zones are implied. 
.TP
[\fB\-t cfgreload \fP[\fI\-q zone\fP]]
 reload the zone and key sections in the configuration file and reload the zone file(s) with increased serial number. 
If a zone is specified only that zone section is reloaded. 
.TP
[\fB\-t sync \fP[\fI\-q zone\fP]]
 write the zone to disk and optionally removes the journal. 
If no zone is specified, all zones are implied. The extra [\-\-clean] option will remove the journal. 
.TP
[\fB\-t querylog \fP\fI\-\-enable|\-\-disable\fP]
 sets the log for queries on or off. 
.TP
[\fB\-t logreopen\fP]
 close all log files and reopens them. 
.TP
[\fB\-t shutdown\fP]
 shuts down the server. 
.PP
.SH FILES

.PP
.TP
yadifa
 The name server remote client. 
.TP
$HOME/.yadifa.rc
 default rcfile. 
.PP
.TP
yadifa.rc.5
 Configuration man page for yadifa\&.
.TP
yadifa.8
 This man page. 
.PP
.SH SEE ALSO

.PP
\fIyadifa.rc\fP(5)
\fIyadifad\fP(8)
.PP
.SH REQUIREMENTS

.PP
.TP
OpenSSL 
yadifad
requires OpenSSL version 0.9.8 or later. 
.PP
.SH CHANGES

Please check the ChangeLog
file from the sources code. 
.PP
.SH VERSION

.PP
Version: 2.1.3 of 2015-09-07\&.
.PP
.SH MAILINGLIST

There is a mailinglist for questions relating to any program in the yadifa package:
.br
.TP
.B *
\fByadifa\-users@mailinglists.yadifa.eu\fP
.br
for submitting questions/answers. 
.PP
.TP
.B *
\fBhttp://www.yadifa.eu/mailing\-list\-users\fP
.br
for subscription requests. 
.PP
If you would like to stay informed about new versions and official patches send a subscription request to 
via: 
.TP
.B *
\fBhttp://www.yadifa.eu/mailing\-list\-announcements\fP
.PP
(this is a read\-only list). 
.PP
.SH LICENSE AND COPYRIGHT

.PP
.TP
Copyright 
(C)2012\-2015, EURid
.br
B\-1831 Diegem, Belgium
.br
\fBinfo@yadifa.eu\fP
.PP
.SH AUTHORS

.PP
Gery Van Emelen 
.br
Email: \fBGery.VanEmelen@EURid.eu\fP
.br
Eric Diaz Fernandez 
.br
Email: \fBEric.DiazFernandez@EURid.eu\fP
.PP
WWW: \fBhttp://www.EURid.eu\fP
.PP
.\" NOTE: This file is generated, DO NOT EDIT.
